View Issue Details

IDProjectCategoryView StatusLast Update
0001849Far ManagerMain menupublic2011-12-23 14:58
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001849: Не срабатывают хоткеи в меню пользователя (F2)
DescriptionЛюбой хоткей вызывает переход на уровень вверх, если выделен последний (пустой) пункт в F2
TagsNo tags attached.
Build2144

Activities

Maximus

2011-08-10 23:21

reporter  

usermenu.110810.diff (551 bytes)
Index: usermenu.cpp
===================================================================
--- usermenu.cpp	(revision 6544)
+++ usermenu.cpp	(working copy)
@@ -669,6 +669,13 @@
 					default:
 						UserMenu.ProcessInput();
 
+						if (MenuPos!=UserMenu.GetSelectPos())
+						{
+							MenuPos=UserMenu.GetSelectPos();
+							userdata = UserMenu.GetUserData(nullptr, 0, MenuPos);
+							CurrentMenuItem = userdata? *static_cast<UserMenuItem**>(userdata):nullptr;
+						}
+
 						if (Key == KEY_F1)
 							MenuNeedRefresh=true;
 
usermenu.110810.diff (551 bytes)

vskirdin

2011-08-12 09:37

administrator   bugnote:0007444

build 2144

Issue History

Date Modified Username Field Change
2011-08-10 23:21 Maximus New Issue
2011-08-10 23:21 Maximus File Added: usermenu.110810.diff
2011-08-12 09:37 vskirdin Note Added: 0007444
2011-08-12 09:37 vskirdin Assigned To => vskirdin
2011-08-12 09:37 vskirdin Status new => feedback
2011-12-23 14:58 alexy Build => 2144
2011-12-23 14:58 alexy Status feedback => closed
2011-12-23 14:58 alexy Resolution open => fixed
2011-12-23 14:58 alexy Fixed in Version => 3.0